

class DorisRouter(object):

    def db_for_read(self, model, **hints):
        if model._meta.app_label == "doris":
            return 'doris'
        return None

    def db_for_write(self, model, **hints):
        if model._meta.app_label == "doris":
            return 'doris'
        return None

    def allow_relation(self, obj1, obj2, **hints):
        if obj1._meta.app_label == 'doris' or \
                obj2._meta.app_label == 'doris':
            return True
        return None

    def allow_migrate(self, db, app_label, model_name=None, **hints):
        if app_label == 'doris':
            return db == 'doris'
        return None

class JerryRouter(object):

    def db_for_read(self, model, **hints):
        if model._meta.app_label == "jerry_tidb":
            return 'jerry_tidb'
        return None

    def db_for_write(self, model, **hints):
        if model._meta.app_label == "jerry_tidb":
            return 'jerry_tidb'
        return None

    def allow_relation(self, obj1, obj2, **hints):
        if obj1._meta.app_label == 'jerry_tidb' or \
                obj2._meta.app_label == 'jerry_tidb':
            return True
        return None

    def allow_migrate(self, db, app_label, model_name=None, **hints):
        if app_label == 'jerry_tidb':
            return db == 'jerry_tidb'
        return None